{ **********************************************************************
  *                               PLOT.INC                             *
  **********************************************************************
         Variables and routines common to PLOT.PAS and WINPLOT.PAS
  ********************************************************************** }

var
  XminPixel, YminPixel : Integer;  { Pixel coord. of upper left corner }
  XmaxPixel, YmaxPixel : Integer;  { Pixel coord. of lower right corner }
  FactX, FactY         : Float;    { Scaling factors }

  function Xpixel(X : Float) : Integer;
  var
    P : Float;
  begin
    P := FactX * (X - XAxis.Min);
    if Abs(P) > 30000 then
      Xpixel := 30000
    else
      Xpixel := Round(P) + XminPixel;
  end;

  function Ypixel(Y : Float) : Integer;
  var
    P : Float;
  begin
    P := FactY * (YAxis.Max - Y);
    if Abs(P) > 30000 then
      Ypixel := 30000
    else
      Ypixel := Round(P) + YminPixel;
  end;

  function Xuser(X : Integer) : Float;
  begin
    Xuser := XAxis.Min + (X - XminPixel) / FactX;
  end;

  function Yuser(Y : Integer) : Float;
  begin
    Yuser := YAxis.Max - (Y - YminPixel) / FactY;
  end;


